#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 16. Networking Utilities

- Prev

  NetworkManager-1.50.0

- Next

  Nmap-7.95

- Up
- Home

# network-manager-applet-1.34.0

## Introduction to NetworkManager Applet

The NetworkManager Applet provides a tool and a panel applet used to configure wired and wireless network connections through GUI. It's designed for use with any desktop environment that uses GTK+, such as Xfce and LXDE.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/network-manager-applet/1.34/network-manager-applet-1.34.0.tar.xz

- Download MD5 sum: 83ff059aff3a691766d5f0079209e5af

- Download size: 1.9 MB

- Estimated disk space required: 46 MB (with tests)

- Estimated build time: 0.4 SBU (with tests)

### NetworkManager Applet Dependencies

#### Required

GTK-3.24.48, libnma-1.10.6, and libsecret-0.21.6

#### Recommended

GLib-2.82.5 (with GObject Introspection) and ModemManager-1.18.12

#### Required (Runtime)

Since this package uses Polkit-126 for authorization, one Polkit Authentication Agent should be running when the functionality of this package is used.

#### Optional

gnome-bluetooth-47.1, jansson-2.14, and libindicator

## Installation of NetworkManager Applet

Install NetworkManager Applet by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup ..            \
          --prefix=/usr       \
          --buildtype=release \
          -D appindicator=no  \
          -D selinux=false    \
          -D team=false       &&
    ninja

To test the results, issue: ninja test.

Now, as the `root` user:

    ninja install

## Command Explanations

`-D appindicator=no`: This switch disables AppIndicator support in network-manager-applet because it requires libindicator, which is not in BLFS. The build will fail without this option.

`-D selinux=false`: This switch forcibly disables SELinux support since it is not currently in BLFS and the build will fail without it.

`-D team=false`: This switch disables the team configuration editor since it requires jansson-2.14. If you have Jansson installed, remove this option or set it to `true`.

`-D wwan=false`: This switch disables WWAN support. Use this if you do not have ModemManager-1.18.12 installed.

## Contents

Installed Programs: nm-applet and nm-connection-editor
Installed Libraries: None
Installed Directories: None

### Short Descriptions

nm-connection-editor | allows users to view and edit network connection settings

- Prev

  NetworkManager-1.50.0

- Next

  Nmap-7.95

- Up
- Home